package com.bonus.core.order.common.service;


import com.bonus.core.order.common.model.OrderAmountChange;

import java.time.LocalDate;
import java.util.Collection;
import java.util.List;

public interface OrderAmountChangeService {
   void saveList(Collection<OrderAmountChange> entityList);

   void deleteByOrderIds(List<Long> orderIds, Collection<LocalDate> orderDates);

   List<OrderAmountChange> listByOrderIds(List<Long> orderIds, Collection<LocalDate> orderDates);
}
